package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * VOIP device port setting.
 */
@ApiModel(description = "VOIP device port setting.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class VoipDevicePortSettingOpenApiVo   {
  @JsonProperty("port")
  private Integer port;

  @JsonProperty("numberIdForOutgoingCalls")
  private String numberIdForOutgoingCalls;

  @JsonProperty("auto")
  private Boolean auto;

  @JsonProperty("numberIdListForIncomingCalls")
  @Valid
  private List<String> numberIdListForIncomingCalls = null;

  @JsonProperty("vadSupportEnable")
  private Boolean vadSupportEnable;

  @JsonProperty("speakerGain")
  private Integer speakerGain;

  @JsonProperty("micGain")
  private Integer micGain;

  public VoipDevicePortSettingOpenApiVo port(Integer port) {
    this.port = port;
    return this;
  }

  /**
   * Port ID.
   * @return port
  */
  @ApiModelProperty(value = "Port ID.")


  public Integer getPort() {
    return port;
  }

  public void setPort(Integer port) {
    this.port = port;
  }

  public VoipDevicePortSettingOpenApiVo numberIdForOutgoingCalls(String numberIdForOutgoingCalls) {
    this.numberIdForOutgoingCalls = numberIdForOutgoingCalls;
    return this;
  }

  /**
   * The outgoing calls number ID of voip device.
   * @return numberIdForOutgoingCalls
  */
  @ApiModelProperty(value = "The outgoing calls number ID of voip device.")


  public String getNumberIdForOutgoingCalls() {
    return numberIdForOutgoingCalls;
  }

  public void setNumberIdForOutgoingCalls(String numberIdForOutgoingCalls) {
    this.numberIdForOutgoingCalls = numberIdForOutgoingCalls;
  }

  public VoipDevicePortSettingOpenApiVo auto(Boolean auto) {
    this.auto = auto;
    return this;
  }

  /**
   * Whether to enable auto.
   * @return auto
  */
  @ApiModelProperty(value = "Whether to enable auto.")


  public Boolean getAuto() {
    return auto;
  }

  public void setAuto(Boolean auto) {
    this.auto = auto;
  }

  public VoipDevicePortSettingOpenApiVo numberIdListForIncomingCalls(List<String> numberIdListForIncomingCalls) {
    this.numberIdListForIncomingCalls = numberIdListForIncomingCalls;
    return this;
  }

  public VoipDevicePortSettingOpenApiVo addNumberIdListForIncomingCallsItem(String numberIdListForIncomingCallsItem) {
    if (this.numberIdListForIncomingCalls == null) {
      this.numberIdListForIncomingCalls = new ArrayList<>();
    }
    this.numberIdListForIncomingCalls.add(numberIdListForIncomingCallsItem);
    return this;
  }

  /**
   * The list of incoming calls number ID.
   * @return numberIdListForIncomingCalls
  */
  @ApiModelProperty(value = "The list of incoming calls number ID.")


  public List<String> getNumberIdListForIncomingCalls() {
    return numberIdListForIncomingCalls;
  }

  public void setNumberIdListForIncomingCalls(List<String> numberIdListForIncomingCalls) {
    this.numberIdListForIncomingCalls = numberIdListForIncomingCalls;
  }

  public VoipDevicePortSettingOpenApiVo vadSupportEnable(Boolean vadSupportEnable) {
    this.vadSupportEnable = vadSupportEnable;
    return this;
  }

  /**
   * Whether to enable vad support.
   * @return vadSupportEnable
  */
  @ApiModelProperty(value = "Whether to enable vad support.")


  public Boolean getVadSupportEnable() {
    return vadSupportEnable;
  }

  public void setVadSupportEnable(Boolean vadSupportEnable) {
    this.vadSupportEnable = vadSupportEnable;
  }

  public VoipDevicePortSettingOpenApiVo speakerGain(Integer speakerGain) {
    this.speakerGain = speakerGain;
    return this;
  }

  /**
   * The speaker gain of voip device.
   * @return speakerGain
  */
  @ApiModelProperty(value = "The speaker gain of voip device.")


  public Integer getSpeakerGain() {
    return speakerGain;
  }

  public void setSpeakerGain(Integer speakerGain) {
    this.speakerGain = speakerGain;
  }

  public VoipDevicePortSettingOpenApiVo micGain(Integer micGain) {
    this.micGain = micGain;
    return this;
  }

  /**
   * The mic gain of voip device.
   * @return micGain
  */
  @ApiModelProperty(value = "The mic gain of voip device.")


  public Integer getMicGain() {
    return micGain;
  }

  public void setMicGain(Integer micGain) {
    this.micGain = micGain;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VoipDevicePortSettingOpenApiVo voipDevicePortSettingOpenApiVo = (VoipDevicePortSettingOpenApiVo) o;
    return Objects.equals(this.port, voipDevicePortSettingOpenApiVo.port) &&
        Objects.equals(this.numberIdForOutgoingCalls, voipDevicePortSettingOpenApiVo.numberIdForOutgoingCalls) &&
        Objects.equals(this.auto, voipDevicePortSettingOpenApiVo.auto) &&
        Objects.equals(this.numberIdListForIncomingCalls, voipDevicePortSettingOpenApiVo.numberIdListForIncomingCalls) &&
        Objects.equals(this.vadSupportEnable, voipDevicePortSettingOpenApiVo.vadSupportEnable) &&
        Objects.equals(this.speakerGain, voipDevicePortSettingOpenApiVo.speakerGain) &&
        Objects.equals(this.micGain, voipDevicePortSettingOpenApiVo.micGain);
  }

  @Override
  public int hashCode() {
    return Objects.hash(port, numberIdForOutgoingCalls, auto, numberIdListForIncomingCalls, vadSupportEnable, speakerGain, micGain);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VoipDevicePortSettingOpenApiVo {\n");
    
    sb.append("    port: ").append(toIndentedString(port)).append("\n");
    sb.append("    numberIdForOutgoingCalls: ").append(toIndentedString(numberIdForOutgoingCalls)).append("\n");
    sb.append("    auto: ").append(toIndentedString(auto)).append("\n");
    sb.append("    numberIdListForIncomingCalls: ").append(toIndentedString(numberIdListForIncomingCalls)).append("\n");
    sb.append("    vadSupportEnable: ").append(toIndentedString(vadSupportEnable)).append("\n");
    sb.append("    speakerGain: ").append(toIndentedString(speakerGain)).append("\n");
    sb.append("    micGain: ").append(toIndentedString(micGain)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

